/******************************************************************************
 Web Notification Service (WNS): An open interface for a service
 by which a client may conduct asynchronous dialogues
 (message interchanges) with one or more other services.
 *******************************************************************************/

package org.n52.wns;

/**
 * 
 * @author Dennis Dahlmann
 * @version 1.0
 */

public final class WNSConstants {

	// Encoding
	public static final String ENCODING = "UTF-8";

	public static final String OWSEXCEPTIONREPORTVERSION = "1.0.30";

	public static final String WNS_VERSION = "0.1.1";

	public static final String REQUEST = "Request";

	public static final String LISTWNSUSER = "ListWNSUser";

	public static final String GETCAPABILITIES = "GetCapabilities";

	public static final String SERVICE = "WNS";
}
