/******************************************************************************
 Web Notification Service (WNS): An open interface for a service
 by which a client may conduct asynchronous dialogues
 (message interchanges) with one or more other services.
 *******************************************************************************/
package org.n52.wns;
/** 
* @author Dennis Dahlmann
* @version 1.0
*/
import net.opengis.wns.DoCommunicationDocument;
import net.opengis.wns.DoCommunicationResponseDocument;
import net.opengis.wns.DoNotificationDocument;
import net.opengis.wns.DoNotificationResponseDocument;
import net.opengis.wns.GetMessageDocument;
import net.opengis.wns.GetMessageResponseDocument;

public interface WNSMessageHandlerI {

	public DoNotificationResponseDocument doNotification(
			DoNotificationDocument dnd) throws WNSServiceException;

	public DoCommunicationResponseDocument doCommunication(
			DoCommunicationDocument dcd) throws WNSServiceException;

	public GetMessageResponseDocument getMessage(GetMessageDocument gmd)
			throws WNSServiceException;
}
