/******************************************************************************
 Web Notification Service (WNS): An open interface for a service
 by which a client may conduct asynchronous dialogues
 (message interchanges) with one or more other services.
 *******************************************************************************/
package org.n52.wns.db;

/**
 * @author Johannes Echterhoff
 * @version 1.0
 * 
 */
public interface DAOFactory {

	/**
	 * Returns a DAO for handling WNS users.
	 * 
	 * @return A DAO for handling WNS users.
	 */
	public UserDAO getUserDAO();
}
